Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class RegExpValidator

    java.lang.Object
      |
      +--weblogicx.jsp.tags.validators.CustomizableAdapter
            |
            +--weblogicx.jsp.tags.validators.RegExpValidator

public class RegExpValidator
extends CustomizableAdapter

The RegExpValidator is used for validating regular expressions. Under the hood it uses the org.apache.oro.text.regexp package for regexp validation. if an exact match is found the validate method returns true if the string value passed is a "", then the RegExpValidator returns true. This is done to prevent duplicate validation on the field in case the RequiredFieldValidator is also used.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  It is thus recommended to use the RequiredFieldValidator along with the RegExpValidator, Serialized Form

Fields inherited from class weblogicx.jsp.tags.validators.CustomizableAdapter
`errorMessage, expression, fieldToValidate`

Constructor Summary
`RegExpValidator()`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`boolean` | `validate(javax.servlet.ServletRequest req)`

Methods inherited from class weblogicx.jsp.tags.validators.CustomizableAdapter
`attributeDequote, getErrorMessage, getExpression, getFieldToValidate, setErrorMessage, setExpression, setFieldToValidate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegExpValidator

    public RegExpValidator()

Method Detail

### validate

    public boolean validate(javax.servlet.ServletRequest req)
                     throws java.lang.Exception

  Overrides:
    validate in class CustomizableAdapter

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class CustomizableAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD